#
# spec file for package ipw3945-kmp (Version 1.2.0)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           ipw3945-kmp
BuildRequires:  kernel-source kernel-syms sharutils
Summary:        Kernel Module for Intel PRO/Wireless 3945ABG cards
Version:        1.2.0
Release:        3.6.41
Group:          System/Kernel
License:        GPL v2 or later
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#Provides:
#Requires:    
#Conflicts:   
Url:            http://ipw3945.sourceforge.net/
AutoReqProv:    on
Source:         ipw3945-%{version}.tar.bz2
Patch:          ipw3945-255765-resume_fix.diff
Source2:        ipw3945-Makefile
Source3:        preamble
ExclusiveArch:  %ix86 x86_64
%suse_kernel_module_package -n ipw3945 -p %_sourcedir/preamble kdump um

%description
This package contains a kernel module for Intel PRO/Wireless 3945ABG
wireless LAN cards.



Authors:
--------
    James Ketrenos <jketreno@linux.intel.com>

%package -n ipw3945-KMP
Group:          System/Kernel
License:        GPL v2 or later
Summary:        Kernel Module for Intel PRO/Wireless 3945ABG cards

%description -n ipw3945-KMP
This package contains a kernel module for Intel PRO/Wireless 3945ABG
wireless LAN cards.



Authors:
--------
    James Ketrenos <jketreno@linux.intel.com>

%prep
%setup -n ipw3945-%version
%patch -p1
cp %{SOURCE2} Makefile

%build
cd ..
mkdir obj
for flavor in %flavors_to_build ; do
  rm -rf obj/$flavor
  mkdir obj/$flavor
  cp -r ipw3945-%{version} obj/$flavor/
  make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
       M=$PWD/obj/$flavor/ipw3945-%{version}
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
cd ..
for flavor in %flavors_to_build ; do
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
         M=$PWD/obj/$flavor/ipw3945-%{version}
done

%clean
test -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Nov 27 2007 jg@suse.de
- added Provides tag to fulful split dependency requirements
  (bug 290636)
* Mon Oct 15 2007 jg@suse.de
- update to version 1.2.0, changes:
  * Workqueue rework for kernel 2.6.20 and above
  * WE-21 ESSID fix
  * Event log output enhancement
  * Fixed problem with newer kernels and config.h vs. autoconf.h
  * Fixed problem with IEEE80211 API compatibility build issues.
  * Fixed #1096 problem with soft lockup while loading if RF kill active.
  * Fixed compile warning ignoring pci_enable_device's return code.
  * Added retransmission of association and authentication requests if no
    response received.
  * Changed the make target install_for_testing to install.
  * Fixed #972 problem with wpa_supplicant not selecting hidden APs
    (Novell #177105)
  * Fixed #1113 problem with compiling against ieee80211-1.1.14
  * Fixed #1146 problem with last character of SSID being dropped.
  * Fixed #1089 circular locking dependency during register_netdev
  * Fixed #1090 problem with setting rate while not associated.
  * Fixed #1098 possible memory corruption on 64-bit systems
  * Updated README.ipw3945, ISSUES, and INSTALL to be in sync with 1.1.0.
  * Modified to not filter out legacy (non-802.11h) access points on
    channels marked as being in the radar detect spectrum.  You must
    upgrade to the ipw3945d regulatory daemon version 1.7.22 or newer in
    order to take advantage of this functionality.
- do not return EAGAIN and force reassociation when SSID gets cleared;
  this should help to fix some suspend/resume related problems (#255765)
* Mon Dec 11 2006 jg@suse.de
- split off from wlan-kmp (fate 301412)
- update to 1.1.0 (fate 301412), changes:
  * Updatd README.ipw3945, INSTALL, and ISSUES to reference correct
    daemon version numbers.
  * Modified to not filter out legacy (non-802.11h) access points
    on channels marked as being in the radar detect spectrum. You
    must upgrade to the ipw3945d regulatory daemon version 1.7.22
    or newer in order to take advantage of this functionality.
  * Fixed problem with mandatory basic rates not being added
    correctly into association requests if they have been masked out
    by a mode selection.
  * Added info to ISSUES about newer ieee80211 possibly fixing iwspy
    problem
  * Fixed #1059 problem with iwlist rate not working.
  * Fixed problem with 802.11a channels not associating.
  * Fixed behavior with short_slot_time and short_preamble
    capabilities
  * Fixed problem with driver requesting masked rates during
    association
  * Fixed #1035 problem with not being able to associate with active
    key not being set to [1].
  * Fixed #1043 problem with periodic system hang while switching
    between BSS and IBSS modes.
  * Fixed #1024 problem with associating to open AP after WPA APs
